2025-11-06 14.00 UTC - There are currently no active events. All systems operational.

Create new link between electric conduit and electric duct or electric cable

Prev Next
Post
/el_conduitlinks/

Operation is used to create new link between electric conduit and electric duct or electric cable. Available from product version 3.2.2.

Security
API Key: Token
Header parameter nameAuthorization

Token issued for API consumer.

Body parameters

Electric conduit Link to be created

object
b_measure
integer Required

position b-measure

cable
integer

Linked Electric Cable id

conduit
string (url) Required

Linked Electric Conduit id

duct
integer

Linked Electric Duct id

duct_number
integer Required

Electric Duct number

h_measure
integer Required

position h-measure

Responses
201

A created electric conduit link

{
  "b_measure": 1,
  "cable": null,
  "conduit": 51410,
  "duct": null,
  "duct_number": null,
  "h_measure": 1,
  "id": 3781
}
object
b_measure
integer

position b-measure

cable
integer

Linked Electric Cable id

conduit
string (url)

Linked Electric Conduit id

duct
integer

Linked Electric Duct id

duct_number
integer

Electric Duct number

h_measure
integer

position h-measure

id
integer

Primary key

400

There was an error in request. Usually field validation failed.

{
  "conduit": [
    "This field is required."
  ],
  "non_field_errors": [
    "Any one of ('cable', 'duct') is required."
  ]
}
object

Fields which failed validation

property*
Array of string additionalProperties

List of validation errors for this fieldname

string

Validation error

401

Authentication credentials are missing or invalid

{
  "details": "Authentication credentials were not provided"
}
object
details
string

Detailed description of error